[gilug.org] Paquets no actualitzats

Quim Rovira quim rovira gmail com
2008-12-23 14:58:00 UTC


Si no m'equivoco, l'actualitzador de paquets gràfic integrat en les
darreres debian actualitza tota mena de paquets., independentment de
la seva categoria (base, editors, etc.). El problema és que la
resolució de dependències a vegades o bé no té solució (p.e: han
actualitzat al repositori els paquets d'un programa per corregir un
error, però encara no hi han pujat la llibreria de la qual depèn), o
bé te vàries solucions diferents (p.e:llibreries complementàries, l'ús
de l'etiqueta "provides" del sistema de paquets d'apt, etc.)...
Resumint, si mires l'aptitude veuràs que sol oferir sempre diverses
opcions a l'hora de triar quins paquets s'actualitzen i quins no, en
cas que aparegui un conflicte.
Tot això, evidentment, es simplifica amb les eins gràfiques, i de fet,
si es presenta algun conflicte, ja apareixen els paquets afectats a
sota de tot i apareix també un "pop-up" on informa del conflicte i
avisa dels paquets no s'actualitzaran.

En les versions estables això es produeix molt poc, però amb la
testing o la unstable (de la qual sóc fan perquè m'encanta que sempre
falli alguna cosa) és el pa de cada dia. De tota manera, jo et
recomanaria que no t'hi capfiquis, i si has d'actualitzar paquets
facis directament un "apt-get dist-upgrade", ja que de tota manera
abans de fer res et diu què instal·la, què esborra, què actualitza,
etc. i et demana confirmació per fer-ho.
Si malgrat tot hi ha alguna cosa que no es vol actualitzar, sempre
pots entrar al dselect i sel·leccionar (+) el paquet conflictiu.
Aleshores et porta a una subllista de paquets on només hi apareixen
els que formen part del conflicte, perquè puguis veure fàcilment quin
paquet falla, falta, etc.

Crec que és més o menys això :)

Salut!


On Tue, Dec 23, 2008 at 2:19 PM, Narcis Garcia - GiLUG
<> wrote:
> Les utilitats d'actualització d'escriptori (allò que cada X dies et
> recorda que hi ha novetats, i amb un botonet les apliques) actualitzen
> tota mena de paquets; bàsics o no, incloent el nucli.
> Crec que solen ser només actualitzacions de seguretat i similars, i no
> de canvi de versió dels programes.
>
> El què no acabo d'entendre és perquè no ho fa també APT, o si depèn
> d'algun paràmetre.
>
>
> El dl 22 de 12 de 2008 a les 23:00 +0100, en/na Andrei va escriure:
>>
>>
>> 2008/12/22 Narcis Garcia - GiLUG <>
>>         No estic parlant d'actualitzar la versió de tot el sistema
>>         operatiu
>>         (dist-upgrade), sinó les petites actualitzacions de cada
>>         programa
>>         (upgrade).
>>         En base a Debian/Ubuntu.
>>
>>
>>         El dl 22 de 12 de 2008 a les 19:18 +0100, en/na Oriol Pellicer
>>         va
>>         escriure:
>>
>>         > Quan hi ha canvis de versió, amb apt-get upgrade no salta a
>>         la nova,
>>         > en canvi amb apt-get dist-upgrade, sí (resumint). Suposo que
>>         és això,
>>         > jo normalment sempre faig dist-upgrades.
>>         >
>>         > Salut!
>>         >
>>         > 2008/12/22 Narcis Garcia - GiLUG <>:
>>         > > Si executo les instruccions:
>>         > >
>>         > > sudo apt-get update
>>         > > sudo apt-get upgrade
>>         > >
>>         > > M'actualitza els paquets instal·lats, però sovint en deixa
>>         alguns sense
>>         > > tocar, i diu quelcom així:
>>         > >
>>         > > S'han mantingut els següents paquets:
>>         > > paquet1 paquet2 paquet3 paquet4 paquet5
>>         > > 0 actualitzats, 0 nous a instal·lar, 0 a eliminar i 5 no
>>         actualitzats.
>>         > >
>>         > > He comprovat que me'ls acaba actualitzant si li dóno la
>>         instrucció:
>>         > > sudo apt-get install paquet1 paquet2 paquet3 paquet4
>>         paquet5
>>         > >
>>         > > Però no entenc perquè no me'ls actualitzava amb la resta.
>>         > >
>>         > > Gracies.
>>         > >
>>         > >
>>         > > _______________________________________________
>>         > > Llista del GiLUG
>>         > > 
>>         > > http://gilug.org/cgi-bin/mailman/listinfo/llista
>>         > > * Tots els missatges queden publicats a:
>>         > > http://gilug.org/pipermail/llista/
>>         > >
>>         > >
>>         > _______________________________________________
>>         > Llista del GiLUG
>>         > 
>>         > http://gilug.org/cgi-bin/mailman/listinfo/llista
>>         > * Tots els missatges queden publicats a:
>>         > http://gilug.org/pipermail/llista/
>>
>>         _______________________________________________
>>         Llista del GiLUG
>>         
>>         http://gilug.org/cgi-bin/mailman/listinfo/llista
>>         * Tots els missatges queden publicats a:
>>         http://gilug.org/pipermail/llista/
>>
>>
>> lo se pero, aun asi la solucion a esto ... es ejecutar el dist-upgrade
>> pero como
>> no le has echo cambios a los repos .. no mas actualizara lo que no se
>> actualiza con upgrade.
>>
>> Y sabes la razon? poes es simple,existe un sistema base minimo y luego
>> las aplicaciones, las applicaciones corrientes de uso
>> comun se actualizan con upgrade pero si surgen actualizaciones del
>> sistema base esos no mas se actualizan con el comando
>> dist-upgrade.
>>
>> Saludos
>>
>> --
>> ****
>> "Linux is for people who hate Windows, BSD is for people who love
>> UNIX"
>> "Social Engineer -> Because there is no patch for human stupidity"
>> _______________________________________________
>> Llista del GiLUG
>> 
>> http://gilug.org/cgi-bin/mailman/listinfo/llista
>> * Tots els missatges queden publicats a:
>> http://gilug.org/pipermail/llista/
>
> _______________________________________________
> Llista del GiLUG
> 
> http://gilug.org/cgi-bin/mailman/listinfo/llista
> * Tots els missatges queden publicats a:
> http://gilug.org/pipermail/llista/
>



More information about the gilug mailing list